package com.loh.dao;

import com.loh.model.ContractType;
import com.loh.model.ContractTypeExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContractTypeMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    long countByExample(ContractTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    int deleteByExample(ContractTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    int insert(ContractType record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    int insertSelective(ContractType record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    List<ContractType> selectByExample(ContractTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    ContractType selectByPrimaryKey(Integer id);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    int updateByExampleSelective(@Param("record") ContractType record, @Param("example") ContractTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    int updateByExample(@Param("record") ContractType record, @Param("example") ContractTypeExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    int updateByPrimaryKeySelective(ContractType record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table contract_type
     *
     * @mbg.generated
     */
    int updateByPrimaryKey(ContractType record);
}